# Package org.apache.cassandra.serializers

- Interface Summary
  Interface | Description
  --- | ---
  TypeSerializer<T> |

- Class Summary
  Class | Description
  --- | ---
  AbstractTextSerializer |
  AsciiSerializer |
  BooleanSerializer |
  ByteSerializer |
  BytesSerializer |
  CollectionSerializer<T> |
  CounterSerializer |
  DecimalSerializer |
  DoubleSerializer |
  EmptySerializer |
  FloatSerializer |
  InetAddressSerializer |
  Int32Serializer |
  IntegerSerializer |
  ListSerializer<T> |
  LongSerializer |
  MapSerializer<K,V> |
  SetSerializer<T> |
  ShortSerializer |
  SimpleDateSerializer |
  TimeSerializer |
  TimestampSerializer |
  TimeUUIDSerializer |
  TupleSerializer |
  UserTypeSerializer |
  UTF8Serializer |
  UUIDSerializer |

- Exception Summary
  Exception | Description
  --- | ---
  MarshalException |

Copyright © 2018 The Apache Software Foundation